﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site1.Master" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="DialogEditing.WebForm1" %>


<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.1400.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

    <%@ Register Assembly="Syncfusion.EJ, Version=13.1400.0.21, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>




<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">


        <div>
    
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" OnServerEditRow="EditEvents_ServerEditRow" OnServerAddRow="EditEvents_ServerAddRow"
                    OnServerDeleteRow="EditEvents_ServerDeleteRow">
                    <ClientSideEvents ActionComplete="complete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" ActionBegin="begin" />
                    <Columns>
                        <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>

                         <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" />

                        <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="minlength" Value="3" />
                            </ValidationRule>
                        </ej:Column>
                        <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="80" Format="{0:C}" EditType="Numeric">
                            <NumericEditOptions DecimalPlaces="2"></NumericEditOptions>
                        </ej:Column>
                        <ej:Column Field="ShipName" HeaderText="ShipName" Width="110"></ej:Column>
                       
                      
                    </Columns>
                    <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="DialogTemplate" DialogEditorTemplateID="#template"></EditSettings>
                    <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
                </ej:Grid>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>

         <script type="text/template" id="template">
        <b>Order Details</b>
        <table cellspacing="10">
            <tr>
                <td style="text-align: right;">Order ID
                </td>
                <td style="text-align: left">
                    <input id="OrderID" name="OrderID" value="{{: OrderID}}" disabled="disabled"
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
                <td style="text-align: right;">Customer ID
                </td>
                <td style="text-align: left">
                    <input id="CustomerID" name="CustomerID" value="{{: CustomerID}}" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" />
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">Freight
                </td>
                <td style="text-align: left">
                    <input type="text" id="Freight" name="Freight" value="{{:Freight}}" />
                </td>
                <td style="text-align: right;">ShipCountry
                </td>
                <td style="text-align: left">
                      <input type="text" id="ShipCountry"/> <%--use html element instead of ejDropDownList--%>
                </td>
            </tr>
    
        </table>
    </script>



            <script type="text/javascript">

                function endAdd(args) {
                    $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");
                }
                function begin(args) {
                    if (args.requestType == "save") {
                        var drop = $("#ContentPlaceHolder1_OrdersGrid_dialogEdit .e-editedrow").find("#ShipCountry").ejDropDownList("instance")
                        var data = drop.model.dataSource;
                        var dataVal = drop.getSelectedValue();
                        for (var i = 0; i < data.length; i++) {
                            if (data[i].Id == dataVal)
                                args.data.ShipCountry = data[i].Text;

                        }
                    }
                }
        function endDelete(args) {
            $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");
        }
        function endEdit(args) {
            $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("show");
        }
        function selectChange(args) {
            var gridObj = $('#<%= OrdersGrid.ClientID %>').data("ejGrid");
            if (gridObj != undefined) {
                gridObj.clearSelection();
                if (gridObj.model.isEdit)
                    $('#<%= OrdersGrid.ClientID %>').ejGrid("cancelEdit");
                //if (args.itemId == 1)
                //$('#<%= OrdersGrid.ClientID %>').ejGrid("option", { "editSettings": { editMode: "dialogtemplate", dialogEditorTemplateID: "#template" } });
                //else
                // $('#<%= OrdersGrid.ClientID %>').ejGrid("option", { "editSettings": { editMode: "dialog" } });
            }
        }
          function complete(args) {
               if (args.requestType == "refresh" || args.requestType == "save") {
                   $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("hide");
                }
                if ((args.requestType == "beginedit" || args.requestType == "add") && args.model.editSettings.editMode == "dialogtemplate") {
                    $("#Freight").ejNumericTextbox({ value: parseFloat($("#Freight").val()), width: "116px", height: "28px", decimalPlaces: 2 });
                    $("#Freight").css({ 'text-align': 'left' });
                    $("#ShipCountry").ejDropDownList({ width: '116px', dataSource: args.model.columns[0].dataSource, fields: { text: "Text", value: "Id", id: "Id" } });
                    //bind dataSource for dropdownlist
                    if (args.requestType == "beginedit") {
                        $("#OrderID").attr("disabled", "disabled");
                        $("#ShipCountry").ejDropDownList("setSelectedValue", args.row.children().eq(1).text());

                    }
                }
           }
    </script>

    </div>


</asp:Content>
